%global pypi_name jmespath
%global python3_pkgversion 38

Name:           python38-%{pypi_name}
Version:        0.10.0
Release:        1%{?dist}
Summary:        JSON Matching Expressions

License:        MIT
URL:            https://github.com/jmespath/jmespath.py
Source0:        %{url}/archive/%{version}/jmespath.py-%{version}.tar.gz
# Use unittest instead of nose
Patch0:         python38-jmespath-unittest.patch
BuildArch:      noarch

BuildRequires:  python38-devel
BuildRequires:  python38-setuptools

BuildRequires:  python38-pytest
# Not yet available
#BuildRequires:  python38-hypothesis

%description
JMESPath allows you to declaratively specify how to extract elements from
a JSON document.

%prep
%autosetup -p1 -n jmespath.py-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/jp.py{,-%{python3_version}}

%check
%pytest --ignore extra/test_hypothesis.py

%files
%doc README.rst
%license LICENSE.txt
%{_bindir}/jp.py-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Mar  2 2022 Orion Poplawski <orion@nwra.com> - 0.10.0-1
- Initial EPEL8 version
